/* font-family: 'Assistant', sans-serif; /* SAN-SERIF */
/* font-family: 'Bebas Neue', sans-serif; /* BIG CHONKY */
/* font-family: 'Lora', serif; /* SERIF */

@media screen {
	body { background: var(--lightColorDarker); }
}
.dg li.cr, .dg li.cr > div, .dg .guiColor, .dg .guiColor > div {
	/*overflow: hidden;*/
	display: flex;
	align-items: center;
}
.dg li.cr > div, .dg .guiColor > div {
	width: 100%;
}
.dg ul:not(.closed) > .cr, .dg ul:not(.closed) > .guiColor { /* , .dg ul:not(.closed) .property-name */
	font-size: 1.1em!important;
	font-family: 'Lora', serif!important;
	padding-top: 0.15em!important;
	padding-bottom: 0.15em!important;
	min-height: 3em!important;
	line-height: 1.2em!important;
}
[hidden]{
	display:none!important; /* This resolves a conflict between nav menu items that have the HTML attribute "hidden" but are assigned a display property such as flex which overwrites that attribute */
}
.dg .property-name {
	display: inline-block;
	vertical-align: middle;
	line-height: normal;
}
.dg li.title {
	color: var(--lightColorAccent)!important;
	background: var(--darkColor)!important;
	border-top: 1px solid var(--darkColorAccent)!important;
	font-size: 1.5em;
	font-weight: normal;
}
.dg .cr.boolean .property-name {
	width: 90%!important;
}
.dg .cr.function .property-name {
	width: 95%!important;
	flex-shrink: 0;
}
.dg .guiColor select, .dg .string select {
	height: 2.3em;
	font-size: 14px;
	padding-left: 0.4em;
	background-color: #eeeeee;
	border: 1px solid #cccccc;
	margin-top: 0!important;
}
.dg li.message {
	font-family: 'Assistant';
}
.dg .actionButton {
	font-size: 1.5em;
}
.dg .actionButton#guiQuote {
	font-size: 1.8em;
	font-weight: normal;
	overflow: hidden;
}
#alert_top { font-family: 'Assistant', sans-serif; font-size: 1.2em; }
#disclaimer, #chatbotButton { font-family: 'Assistant', sans-serif; font-size: 1.1em; bottom: 20px; }
#disclaimer { left: auto; right: calc(var(--menuWidth) + 20px); }
#chatbotButton img { width: auto; height: 3.2em; }

#chatbot {
	width: 337px;
	height: 65%;
	position: fixed;
	left: 0px;
	bottom: 100px;
	display: flex;
	flex-direction: column;
	border: 4px solid var(--primaryColor);
	border-radius: 0px 10px 10px 0px;
	border-left: 0px;
	box-shadow: rgba(0, 0, 0, 0.4) 2px 2px 20px;
	background-color: var(--primaryColorDarker);
	z-index: 2;
}
#chatbot #chatbotBanner {
	height: 3em;
}
#chatbot #chatbotBanner h3 {
	color: white;
	font-weight: normal;
	margin: 0;
	margin-left: 0.75em;
	margin-bottom: -0.1em;
}

#chatbot #webchat {
	flex-grow: 1;
	font-size: 1.2em;
	overflow-y: auto;
	background-color: white;
}
#chatbot #webchat, #chatbot #webchat>div>div, #chatbot #webchat .webchat__send-box__main {
	border-radius: 0 0 8px 0;
}
#chatbot #webchat .webchat__send-box-text-box__input {
	border: 0;
	box-shadow: none;
	margin-bottom: 0.2em;
}
#chatbot #webchat i.preloading {
	font-size: 3em;
	color: #ccc;
	position: absolute;
	top: 48%;
	left: 45%;
	transform: translate(-50%, -50%);
	padding-top: 2px;
}
#chatbot .close {
	position: absolute;
	top: 0.4em;
	right: 0.5em;
	color: white;
	font-size: 1.75em;
	opacity: 0.8;
}
#chatbot .close {
	opacity: 1;
}

#modal-share form.request-share { max-height: 72dvh!important; overflow-y: scroll; }
#modal-share .modal-body { max-height: unset!important; }

.colorSwatch {
	font-size: calc(0.23 * var(--iconSize));
	font-weight: normal !important;
}

@media print {
	body { font-family: 'Lora', serif!important; }
}

div#modal-success.modal { width: 560px; } /* Success modal when vimeo video embed is present */

@media only screen and (max-width : 640px) {
	#chatbotButton {
		top: calc(41vh - 30px);
		bottom: unset;
	}
	#disclaimer { left: auto; right: 20px; height: 1.5em; }
}
@media (max-width: 480px) {
	#chatbotButton {
		top: calc(36vh - 30px);
		bottom: unset;
	}
	#disclaimer { left: auto; right: 20px; }
}